Skip to content
Snippets Groups Projects
Commit efd72eb3 authored by Paul McCarthy's avatar Paul McCarthy :mountain_bicyclist:
Browse files

BF: Couple of typos. Check fsl_sub exit code

parent 5bef154e
No related branches found
No related tags found
1 merge request!37Major re-arrangement of eddy tests
...@@ -25,7 +25,7 @@ set -e ...@@ -25,7 +25,7 @@ set -e
# eddy. Don't pass the --out option, as that is # eddy. Don't pass the --out option, as that is
# added by this script. # added by this script.
exedir="$1"; shift; exedir="$1"; shift;
outdir="$2"; shift; outdir="$1"; shift;
eddy_args="$@" eddy_args="$@"
# Find all eddy_cuda* executables # Find all eddy_cuda* executables
...@@ -58,6 +58,10 @@ do ...@@ -58,6 +58,10 @@ do
tmp=`basename ${cuda_exe}` tmp=`basename ${cuda_exe}`
variant=`echo ${tmp} | sed 's/eddy_//'` variant=`echo ${tmp} | sed 's/eddy_//'`
jid=`fsl_sub -l ${outdir} -q cuda.q ${cuda_exe} --out=${outdir}/eddyOutput_${variant} ${eddy_args}` jid=`fsl_sub -l ${outdir} -q cuda.q ${cuda_exe} --out=${outdir}/eddyOutput_${variant} ${eddy_args}`
if [ $? -ne 0 ]; then
echo "Error submitting ${cuda_exe} ${cuda_args}"
exit 1
fi
cuda_jids="${cuda_jids} ${jid}" cuda_jids="${cuda_jids} ${jid}"
done done
...@@ -67,6 +71,10 @@ do ...@@ -67,6 +71,10 @@ do
tmp=`basename ${cuda_exe}` tmp=`basename ${cuda_exe}`
variant=`echo ${tmp} | sed 's/eddy_//'` variant=`echo ${tmp} | sed 's/eddy_//'`
jid=`fsl_sub -l ${outdir} -q long.q -s openmp,6 ${cpu_exe} --out=${outdir}/eddyOutput_${variant} ${eddy_args}` jid=`fsl_sub -l ${outdir} -q long.q -s openmp,6 ${cpu_exe} --out=${outdir}/eddyOutput_${variant} ${eddy_args}`
if [ $? -ne 0 ]; then
echo "Error submitting ${cuda_exe} ${cuda_args}"
exit 1
fi
cpu_jids="${cpu_jids} ${jid}" cpu_jids="${cpu_jids} ${jid}"
done done
...@@ -81,7 +89,7 @@ if [ ! -z "${SGE_ROOT}" ]; then ...@@ -81,7 +89,7 @@ if [ ! -z "${SGE_ROOT}" ]; then
# on the queue for CPU jobs # on the queue for CPU jobs
for jid in ${cpu_jids}; do for jid in ${cpu_jids}; do
qalter ${jid} -R y qalter ${jid} -R y
fi done
# wait for all jobs to finish # wait for all jobs to finish
while [ : ]; do while [ : ]; do
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment